ResultMessage.Prepared (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport.messages

## Class ResultMessage.Prepared

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.ResultMessage
      - - org.apache.cassandra.transport.messages.ResultMessage.Prepared

- Enclosing class:
    ResultMessage

      public static class ResultMessage.Prepared
      extends ResultMessage

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.messages.ResultMessage

      `ResultMessage.Kind, ResultMessage.Prepared, ResultMessage.Rows, ResultMessage.SchemaChange, ResultMessage.SetKeyspace, ResultMessage.Void`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ResultSet.PreparedMetadata` | `metadata` Describes the variables to be bound in the prepared statement
    `ResultSet.ResultMetadata` | `resultMetadata` Describes the results of executing this prepared statement
    `MD5Digest` | `statementId`
    `static Message.Codec<ResultMessage>` | `subcodec`

    - ### Fields inherited from class org.apache.cassandra.transport.messages.ResultMessage

      `codec, kind`

    - ### Fields inherited from class org.apache.cassandra.transport.Message.Response

      `tracingId, warnings`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, logger, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Prepared(MD5Digest statementId, ParsedStatement.Prepared prepared)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResultMessage.Prepared` | `forThrift(int statementId, java.util.List<ColumnSpecification> names)`
    `java.lang.String` | `toString()`
    `CqlPreparedResult` | `toThriftPreparedResult()`
    `CqlResult` | `toThriftResult()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message.Response

      `getTracingId, getWarnings, setTracingId, setWarnings`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### subcodec

          public static final Message.Codec<ResultMessage> subcodec

    - #### statementId

          public final MD5Digest statementId

    - #### metadata

          public final ResultSet.PreparedMetadata metadata

      Describes the variables to be bound in the prepared statement

    - #### resultMetadata

          public final ResultSet.ResultMetadata resultMetadata

      Describes the results of executing this prepared statement

  - ### Constructor Detail

    - #### Prepared

          public Prepared(MD5Digest statementId,
                          ParsedStatement.Prepared prepared)

  - ### Method Detail

    - #### forThrift

          public static ResultMessage.Prepared forThrift(int statementId,
                                                         java.util.List<ColumnSpecification> names)

    - #### toThriftResult

          public CqlResult toThriftResult()

      Specified by:
        `toThriftResult` in class `ResultMessage`

    - #### toThriftPreparedResult

          public CqlPreparedResult toThriftPreparedResult()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation